Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
flags
curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags \
  -H "Authorization: Bearer <server_key>"
{
  "items": [
    {
      "id": "flag_01hx...",
      "orgId": "org_01hx...",
      "projectId": "proj_01hx...",
      "key": "new-checkout",
      "name": "New Checkout Flow",
      "type": "boolean",
      "clientSafe": false,
      "archivedAt": null,
      "createdAt": "2024-03-01T12:00:00.000Z",
      "versions": {
        "env_01hx...": {
          "id": "fv_01hx...",
          "version": 2,
          "config": {
            "version": 2,
            "enabled": true,
            "defaultValue": false,
            "rules": []
          },
          "createdAt": "2024-04-01T09:00:00.000Z"
        }
      }
    }
  ],
  "nextCursor": null,
  "hasMore": false
}

Path parameters

projectId
string
required

Query parameters

limit
number
Page size. 1–100, default 50.
cursor
number
Timestamp cursor from a previous response’s nextCursor.

Response

items
FlagWithVersions[]
required
Each flag includes a versions map keyed by environmentId containing the latest FlagVersion for that environment.
nextCursor
number | null
required
hasMore
boolean
required
Each flag item:
FieldTypeDescription
idstring
keystringDeveloper-facing identifier. Immutable.
namestring
type"boolean" | "string" | "number"
clientSafeboolean
archivedAtstring | nullISO 8601 or null if active
versionsRecord<environmentId, FlagVersion>See Flag Config
curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags \
  -H "Authorization: Bearer <server_key>"
{
  "items": [
    {
      "id": "flag_01hx...",
      "orgId": "org_01hx...",
      "projectId": "proj_01hx...",
      "key": "new-checkout",
      "name": "New Checkout Flow",
      "type": "boolean",
      "clientSafe": false,
      "archivedAt": null,
      "createdAt": "2024-03-01T12:00:00.000Z",
      "versions": {
        "env_01hx...": {
          "id": "fv_01hx...",
          "version": 2,
          "config": {
            "version": 2,
            "enabled": true,
            "defaultValue": false,
            "rules": []
          },
          "createdAt": "2024-04-01T09:00:00.000Z"
        }
      }
    }
  ],
  "nextCursor": null,
  "hasMore": false
}